summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Dugan Chen <thedoogster@gmail.com>2014-09-02 09:22:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-09-06 00:02:49 +0700
commit00a83bf640557d86cfe2c4c96a4fd28b882a13f2 (patch)
tree0cda9592561f9750078dcfd51f112a0d9d79359f /system
parentf295321e1aee52e978ceacb756f5971a63af4260 (diff)
downloadslackbuilds-00a83bf640557d86cfe2c4c96a4fd28b882a13f2.tar.gz
slackbuilds-00a83bf640557d86cfe2c4c96a4fd28b882a13f2.tar.xz
system/adobe-source-serif-pro-font: Added (open source font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/adobe-source-serif-pro-font/README2
-rw-r--r--system/adobe-source-serif-pro-font/adobe-source-serif-pro-font.SlackBuild70
-rw-r--r--system/adobe-source-serif-pro-font/adobe-source-serif-pro-font.info10
-rw-r--r--system/adobe-source-serif-pro-font/doinst.sh8
-rw-r--r--system/adobe-source-serif-pro-font/slack-desc19
5 files changed, 109 insertions, 0 deletions
diff --git a/system/adobe-source-serif-pro-font/README b/system/adobe-source-serif-pro-font/README
new file mode 100644
index 0000000000..11f412799f
--- /dev/null
+++ b/system/adobe-source-serif-pro-font/README
@@ -0,0 +1,2 @@
+Source Serif Pro is a set of OpenType fonts that have been designed to
+complement Source Sans Pro.
diff --git a/system/adobe-source-serif-pro-font/adobe-source-serif-pro-font.SlackBuild b/system/adobe-source-serif-pro-font/adobe-source-serif-pro-font.SlackBuild
new file mode 100644
index 0000000000..26577d6356
--- /dev/null
+++ b/system/adobe-source-serif-pro-font/adobe-source-serif-pro-font.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Copyright (c) 2012 Daniel LEVAI
+# All rights reserved.
+#
+# * Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright notice
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Currently maintained by Dugan Chen
+
+PRGNAM=adobe-source-serif-pro-font
+VERSION=${VERSION:-1.014}
+SRC=SourceSerifPro_FontsOnly-${VERSION}
+SRCDIR=source-serif-pro-${VERSION}R
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRCDIR}
+unzip $CWD/${SRC}.zip
+cd ${SRCDIR}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/OTF/
+cp OTF/*.otf $PKG/usr/share/fonts/OTF/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt ReadMe.html README.md $PKG/usr/doc/$PRGNAM-$VERSION
+chmod a-x $PKG/usr/doc/$PRGNAM-$VERSION/*
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/adobe-source-serif-pro-font/adobe-source-serif-pro-font.info b/system/adobe-source-serif-pro-font/adobe-source-serif-pro-font.info
new file mode 100644
index 0000000000..d6163e378e
--- /dev/null
+++ b/system/adobe-source-serif-pro-font/adobe-source-serif-pro-font.info
@@ -0,0 +1,10 @@
+PRGNAM="adobe-source-serif-pro-font"
+VERSION="1.014"
+HOMEPAGE="http://sourceforge.net/projects/sourceserifpro.adobe/"
+DOWNLOAD="http://downloads.sourceforge.net/project/sourceserifpro.adobe/SourceSerifPro_FontsOnly-1.014.zip"
+MD5SUM="253dc8d8ce68808ad01149842e1975a3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster [at] gmail [dot] com"
diff --git a/system/adobe-source-serif-pro-font/doinst.sh b/system/adobe-source-serif-pro-font/doinst.sh
new file mode 100644
index 0000000000..011ed452ee
--- /dev/null
+++ b/system/adobe-source-serif-pro-font/doinst.sh
@@ -0,0 +1,8 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ /usr/bin/mkfontscale /usr/share/fonts/OTF
+ /usr/bin/mkfontdir /usr/share/fonts/OTF
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/adobe-source-serif-pro-font/slack-desc b/system/adobe-source-serif-pro-font/slack-desc
new file mode 100644
index 0000000000..d4cc649593
--- /dev/null
+++ b/system/adobe-source-serif-pro-font/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+adobe-source-sans-pro-font: adobe-source-serif-pro-font (open source font)
+adobe-source-sans-pro-font:
+adobe-source-sans-pro-font: Source Serif Pro is a set of OpenType fonts that have been designed
+adobe-source-sans-pro-font: to complement Source Sans Pro.
+adobe-source-sans-pro-font:
+adobe-source-sans-pro-font: https://github.com/adobe-fonts/source-serif-pro
+adobe-source-sans-pro-font:
+adobe-source-sans-pro-font:
+adobe-source-sans-pro-font:
+adobe-source-sans-pro-font:
+adobe-source-sans-pro-font: